Packages - Freedom Issue #2126

[bitcoin-*] [litecoin-*] [?] Possible non-free data download
2018-12-30 10:51 AM - Anonymous

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

It is posssible to insert some coinbase data, like Satoshi Nakamoto did. He included the following string in the source code:

const char* pszTimestamp = "The Times 03/Jan/2009 Chancellor on brink of second bailout for banks";

There were some reports that child pornography was included in blockchain. It is also possible to include some illegal number in it,
like AACS encryption key, and Bitcoin Core will download it without asking user.

This is applicable to any/most cryptocurrencies. Please, delete them from Parabola repositories.

Related issues:

Related to Packages - Freedom Issue #2123: Bitcoin and The Times copyright not-a-bug
Related to Packages - Freedom Issue #2127: [doge] Doge is non-free not-a-bug
History

#1 - 2018-12-30 10:52 AM - Anonymous

Note: not only Bitcoin Core, but also Litecoin Core and maybe other software.

#2 - 2018-12-30 12:46 PM - freemor

By this thinking we would need to remove all browsers from Parabola as almost any site contains non-free data. What you suggest is more about
censorship then freedom.

#3 - 2018-12-30 02:39 PM - bill-auger

that is not to mention that this is an exact duplicate of the issue you opened a few days ago - please dont do that

more importantly, that is also not to mention that everything in this bug report is presented as here-say or speculation - i could not begin to know how
to verify any of these accusations - we dont remove programs due to some wild accusations - there should be some real, concrete, verifiable reason

to do so

for example, are we supposed to know who that person is or what she supposedly did? - wouldn't it be more helpful to explain this, so that someone
could actually verify what you are claiming? - these bug reports you have been opening this week are extremely vague, to the point of irrelevancy

if you can show that this program or the others are non-free or illegal in some way, or at least give us some small indication of how anyone could
begin to research and prove any of the things you claim, that would be worth following up on - but with only the tiny bits of very uninformative
information you supplied, there is still nothing that can be done with this report (and the others) other than to close them due to lack of information

#4 - 2018-12-30 02:45 PM - bill-auger
- Related to Freedom Issue #2123: Bitcoin and The Times copyright added

#5 - 2018-12-30 02:45 PM - bill-auger
- Related to Freedom Issue #2127: [doge] Doge is non-free added

#6 - 2019-02-27 09:05 PM - bill-auger

- Status changed from open to not-a-bug

OP never returned - closing as too vague
